Subject: Re: sh
From: Bob McGowan <[email-masked]>
To: Miten Mehta <[email-masked]>
Cc: [email-masked]
Date: Tue, 17 Oct 2000 17:46:19 -0700

I don't believe that sh.exe can be made to work as a login shell.  I just tried to copy it to '-sh.exe' on the chance that it might run profiles, but that did not work, for
some reason.

bash has the '--login' option which can be used to make it read profiles.  If you really don't like bash and want sh instead, you could add the following to the end of your
.profile (be sure HOME is set somewhere "outside", ie before bash starts, for instance in cygwin.bat, and that all the stuff you want in the environment is exported):

    exec /bin/sh

Miten Mehta wrote:
> 
> Hello,
> 
> I have cygwin installed.  I see sh which is bourne
> shell and I login to nt as administrator.  where
> should I put .profile? I tried c:/ and d:/ and
> c:/winnt/profiles/administrator/ but did not work.
> 
> does sh work or do we have to start using bash for
> good.
> 
> C:\WINNT\system32>uname -a
> CYGWIN_NT-4.0 MITEN 1.1.2(0.21/3/2) 2000-06-06 22:20
> i686 unknown
> 
> C:\WINNT\system32>
> 
> __________________________________________________
> Do You Yahoo!?
> Yahoo! Messenger - Talk while you surf!  It's FREE.
> http://im.yahoo.com/
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]